Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.step
Class StepPartitioningMeta

    java.lang.Object
      org.pentaho.di.trans.step.StepPartitioningMeta

All Implemented Interfaces:
  Cloneable, org.pentaho.di.core.xml.XMLInterface

    public class StepPartitioningMeta

extends Object
implements org.pentaho.di.core.xml.XMLInterface, Cloneable

Field Summary
`static String[]` | `methodCodes`
`static String[]` | `methodDescriptions`
`static int` | `PARTITIONING_METHOD_MIRROR`
`static int` | `PARTITIONING_METHOD_NONE`
`static int` | `PARTITIONING_METHOD_SPECIAL`

Constructor Summary
`StepPartitioningMeta()`
`StepPartitioningMeta(Node partitioningMethodNode)`
`StepPartitioningMeta(Repository rep, long id_step)`
`StepPartitioningMeta(String method, PartitionSchema partitionSchema)`

Method Summary
`StepPartitioningMeta` | `clone()`
`void` | `createPartitioner(String method)`
`boolean` | `equals(Object obj)`
`String` | `getMethod()`
`static String` | `getMethod(String description)`
`String` | `getMethodCode()`
`String` | `getMethodDescription()`
`int` | `getMethodType()`
`static int` | `getMethodType(String description)`
`int` | `getPartition(org.pentaho.di.core.row.RowMetaInterface rowMeta, Object[] row)`
`Partitioner` | `getPartitioner()`
`PartitionSchema` | `getPartitionSchema()`
`String` | `getXML()`
`boolean` | `hasChanged()`
`void` | `hasChanged(boolean hasChanged)`
`boolean` | `isMethodMirror()`
`boolean` | `isPartitioned()`
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Saves partitioning properties in the repository for the given step.
`void` | `setMethod(String method)`
`void` | `setMethodType(int methodType)`
`void` | `setPartitioner(Partitioner partitioner)`
`void` | `setPartitionSchema(PartitionSchema partitionSchema)`
`void` | `setPartitionSchemaAfterLoading(List<PartitionSchema> partitionSchemas)` Set the partitioning schema after loading from XML or repository
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PARTITIONING_METHOD_NONE

    public static final int PARTITIONING_METHOD_NONE

See Also:
  Constant Field Values

### PARTITIONING_METHOD_MIRROR

    public static final int PARTITIONING_METHOD_MIRROR

See Also:
  Constant Field Values

### PARTITIONING_METHOD_SPECIAL

    public static final int PARTITIONING_METHOD_SPECIAL

See Also:
  Constant Field Values

### methodCodes

    public static final String[] methodCodes

### methodDescriptions

    public static final String[] methodDescriptions

Constructor Detail

### StepPartitioningMeta

    public StepPartitioningMeta()

### StepPartitioningMeta

    public StepPartitioningMeta(String method,
                                PartitionSchema partitionSchema)

Parameters:
  `method` -
  `partitionSchema` -

### StepPartitioningMeta

    public StepPartitioningMeta(Node partitioningMethodNode)
                         throws org.pentaho.di.core.exception.KettleXMLException

Throws:
  `org.pentaho.di.core.exception.KettleXMLException`

### StepPartitioningMeta

    public StepPartitioningMeta(Repository rep,
                                long id_step)
                         throws org.pentaho.di.core.exception.KettleException

Throws:
  `org.pentaho.di.core.exception.KettleException`

Method Detail

### clone

    public StepPartitioningMeta clone()

  Overrides:
    `clone` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  Returns:
    true if the partition schema names are the same.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getMethodType

    public int getMethodType()

  Returns:
    the partitioningMethod

### setMethod

    public void setMethod(String method)

  Parameters:
    `method` - the partitioning method to set

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `org.pentaho.di.core.xml.XMLInterface`

### getMethodCode

    public String getMethodCode()

### getMethodDescription

    public String getMethodDescription()

### getMethod

    public String getMethod()

### getMethod

    public static final String getMethod(String description)

### getMethodType

    public static final int getMethodType(String description)

### isPartitioned

    public boolean isPartitioned()

### getPartitionSchema

    public PartitionSchema getPartitionSchema()

  Returns:
    the partitionSchema

### setPartitionSchema

    public void setPartitionSchema(PartitionSchema partitionSchema)

  Parameters:
    `partitionSchema` - the partitionSchema to set

### setPartitionSchemaAfterLoading

    public void setPartitionSchemaAfterLoading(List<PartitionSchema> partitionSchemas)
                                        throws org.pentaho.di.core.exception.KettleException

  Set the partitioning schema after loading from XML or repository

  Parameters:
    `partitionSchemas` - the list of partitioning schemas
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Saves partitioning properties in the repository for the given step.

  Parameters:
    `rep` - the repository to save in
    `id_transformation` - the ID of the transformation
    `id_step` - the ID of the step
  Throws:
    `org.pentaho.di.core.exception.KettleDatabaseException` - In case anything goes wrong
    `org.pentaho.di.core.exception.KettleException`

### createPartitioner

    public void createPartitioner(String method)

### isMethodMirror

    public boolean isMethodMirror()

### getPartition

    public int getPartition(org.pentaho.di.core.row.RowMetaInterface rowMeta,
                            Object[] row)
                     throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getPartitioner

    public Partitioner getPartitioner()

### setPartitioner

    public void setPartitioner(Partitioner partitioner)

### hasChanged

    public boolean hasChanged()

### hasChanged

    public void hasChanged(boolean hasChanged)

### setMethodType

    public void setMethodType(int methodType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD